# /packages/users-selection/www/admin/selection.tcl
ad_page_contract {
     
     @author Tilmann Singer (tils@tils.net)
     @creation-date Fri Dec 20 21:07:25 2002
} {
    selection_id:integer
}

db_1row get_selection {}

set subs_list [list]
db_multirow vars get_bind_vars {} {
    lappend subs_list $name $default_value
}

set edit_url "selection-ae?[export_vars selection_id]"
set edit_vars_url "selection-vars?[export_vars selection_id]"

set execute_url "selection-execute?[export_vars selection_id]"
set context_bar [list "[_ users-selection.Detail]"]

if { ![empty_string_p $bind_vars] } {
    set query_string [db_bind_var_substitution $full_sql $subs_list]
} else {
    # No bind vars: we can get the current count of matching
    # users. Note: might fail when there's already an 'q' alias in
    # $full_sql. Solution for this missing.
    set query_string $full_sql
}

if { [catch {
    set count [db_string count "select count(*) from ($query_string) q"]
}] } {
    set count "(error)"
}

set return_url [ad_return_url]
set comments [general_comments_get_comments -print_content_p 1 $selection_id $return_url]
set comment_link [general_comments_create_link -object_name "users selection \"$title\"" $selection_id $return_url]

ad_return_template
