# /packages/users-selection/www/selection-csv.tcl
ad_page_contract {
     
    download a query result as csv file.

    @author Tilmann Singer (tils@tils.net)
    @creation-date Fri Dec 20 21:07:25 2002
} {
    selection_id:integer
    bind_var:array,optional
}

db_1row get_selection {}

if {[exists_and_not_null bind_vars]} {
    set subs_list [list]
    foreach var_name [array names bind_var] {
	lappend subs_list $var_name $bind_var($var_name)
    }
    set query_string [db_bind_var_substitution $full_sql $subs_list]
} else {
    set query_string $full_sql
}

# start with the field names
set csv [join [user_selection::get_field_names -query $query_string] ","]
append csv "\n"

foreach row [db_list_of_lists rows $query_string] {
    set row_subs [list]
    foreach value $row {
        lappend row_subs "\"[util_escape_quotes_for_csv $value]\""
    }
    append csv "[join $row_subs ","]\n"
}


doc_return 200 text/csv $csv
